Simulate transfer
curl --request POST \
--url https://sandbox-revo-api.raliopay.com/api/v1/account/users/{uid}/accounts/{aid}/transfers/simulate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"origin": {
"currency": "CURRENCY",
"amount": 1000
},
"recipient": {
"accountId": "b2c3d4e5-f6a7-4b8c-9d0e-1f2a3b4c5d6e"
}
}
'import requests
url = "https://sandbox-revo-api.raliopay.com/api/v1/account/users/{uid}/accounts/{aid}/transfers/simulate"
payload = {
"origin": {
"currency": "CURRENCY",
"amount": 1000
},
"recipient": { "accountId": "b2c3d4e5-f6a7-4b8c-9d0e-1f2a3b4c5d6e" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
origin: {currency: 'CURRENCY', amount: 1000},
recipient: {accountId: 'b2c3d4e5-f6a7-4b8c-9d0e-1f2a3b4c5d6e'}
})
};
fetch('https://sandbox-revo-api.raliopay.com/api/v1/account/users/{uid}/accounts/{aid}/transfers/simulate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"destination": {
"currency": "CURRENCY",
"amount": 1000
},
"origin": {
"currency": "CURRENCY",
"amount": 1000
},
"quote": {
"rate": 1.08,
"timestamp": "2025-01-15T10:30:00Z",
"validUntil": "2025-01-15T10:30:30Z"
}
}{
"error": {
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>"
}
}{
"error": {
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>"
}
}{
"error": {
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>"
}
}Transfers
Simulate transfer
Simulate an transfer to calculate fees and exchange rates.
POST
/
api
/
v1
/
account
/
users
/
{uid}
/
accounts
/
{aid}
/
transfers
/
simulate
Simulate transfer
Authorizations
API Key for accessing management endpoints
Body
application/json
Transfer details
⌘I